Skip to main content
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
phone
/
message-types
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.Phone.GetMessageTypes(
        context.TODO(),
    )
}
{
  "message_types": [
    "sms"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Returns the enabled phone factors

message_types
enum<string>[]

The list of phone factors to enable on the tenant. Can include sms and voice.

Available options:
sms,
voice